# Checkout API The checkout API is used to create a checkout with Kustom and update the checkout order during the purchase. As soon as the purchase is completed the order should be read and handled using the [Order Management API](./order-management.yaml). Read more on [Kustom Checkout](../checkout/index.md). Version: 1.0.0 ## Servers ``` https://api.kustom.co ``` ## Download OpenAPI description [Checkout API](https://docs.kustom.co/_bundle/contents/api/checkout.yaml) ## Other ### Create an order - [POST /checkout/v3/orders](https://docs.kustom.co/contents/api/checkout/other/createordermerchant.md): To create a new order simply provide a JSON object with the applicable properties.The location of the newly created checkout order can be found in the location header of the response.Please note: This is the url that should be used for future interactions (read and update) with the order, i.e. do not construct the order url based on the order id. ### Update an order - [POST /checkout/v3/orders/{order_id}](https://docs.kustom.co/contents/api/checkout/other/updateordermerchant.md): To update an order simply provide a JSON object with the properties you want to update. Properties not provided in the request will stay the same.Please note: an order can only be updated when the status is checkout_incomplete ### Get order details - [GET /checkout/v3/orders/{order_id}](https://docs.kustom.co/contents/api/checkout/other/readordermerchant.md): Get the full details of a Kustom Checkout order. ### Abort an order - [POST /checkout/v3/orders/{order_id}/abort](https://docs.kustom.co/contents/api/checkout/other/abortorder.md): Mark an order as aborted.